<?php


session_start();
include("include/config.php");
include("include/functions/import.php");
$thebaseurl = $config['baseurl'];

if ($_SESSION[USERID] != "" && $_SESSION[USERID] >= 0 && is_numeric($_SESSION[USERID]))
{
	$getsortby = htmlentities(strip_tags($_REQUEST[sortby]));
	$sortby = escape($getsortby);
	$getpage = htmlentities(strip_tags($_REQUEST[page]));
	$page = escape($getpage);

	if ($sortby=="a")
	{
		$sort = "asc";
	}
	else
	{
		$sortby = "z";
		$sort = "desc";
	}

	if($page=="")
	{
		$page = "1";
	}
	$currentpage = $page;

	if ($page >=2)
	{
		$pagingstart = ($page-1)*$config[items_per_page];
	}
	else
	{
		$pagingstart = "0";
	}

	$query1 = "SELECT count(*) as total from messages_sent where MSGFROM='".mysql_real_escape_string($_SESSION[USERID])."' order by MID $sort limit $config[maximum_results]";
	$query2 = "SELECT * from messages_sent where MSGFROM='".mysql_real_escape_string($_SESSION[USERID])."' order by MID $sort limit $pagingstart, $config[items_per_page]";
	$showtitle = "$lang[308]";

	STemplate::assign('showtitle',$showtitle);
	
	STemplate::assign('pagetitle',$showtitle);

	$executequery1 = $conn->Execute($query1);

	$totalvideos = $executequery1->fields['total'];
	if ($totalvideos > 0)
	{

	if($executequery1->fields['total']<=$config[maximum_results])
	{
		$total = $executequery1->fields['total'];
	}
	else
	{
		$total = $config[maximum_results];
	}

	$toppage = ceil($total/$config[items_per_page]);
	if($toppage==0)
	{
		$xpage=$toppage+1;
	}
	else
	{
		$xpage = $toppage;
	}

	$executequery2 = $conn->Execute($query2);
	$users = $executequery2->getrows();
	$beginning=$pagingstart+1;
	$ending=$pagingstart+$executequery2->recordcount();

	$pagelinks="";
	$k=1;
	$theprevpage=$currentpage-1;
	$thenextpage=$currentpage+1;

	if ($currentpage > 0)
	{
		$pagelinks.="<ul>";
	
		if($currentpage > 1) 
		{
		$pagelinks.="<li><a href='$thebaseurl/mysentmessages.php?sortby=$sortby&page=1' title='first page'>$lang[611]</a></li>";
		$pagelinks.="<li class='page_separator'>...</li>";
		$pagelinks.="<li><a href='$thebaseurl/mysentmessages.php?sortby=$sortby&page=$theprevpage'>&laquo; $lang[612]</a></li>";
		}
	
		$counter=0;
	
		$lowercount = $currentpage-5;
		if ($lowercount <= 0) $lowercount = 1;
	
		while ($lowercount < $currentpage)
		{
			$pagelinks.="<li><a href='$thebaseurl/mysentmessages.php?sortby=$sortby&page=$lowercount'>$lowercount</a></li>";
			$lowercount++;
			$counter++;
		}
	
		$pagelinks.="<li class='page_current'>$currentpage</li>";
	
		$uppercounter = $currentpage+1;
	
		while (($uppercounter < $currentpage+10-$counter) && ($uppercounter<=$toppage))
		{
			$pagelinks.="<li><a href='$thebaseurl/mysentmessages.php?sortby=$sortby&page=$uppercounter'>$uppercounter</a></li>";
			$uppercounter++;
		}
	
		if($currentpage < $toppage) 
		{
		
		$pagelinks.="<li><a href='$thebaseurl/mysentmessages.php?sortby=$sortby&page=$thenextpage'>$lang[613] &raquo;</a></li>";
		$pagelinks.="<li class='page_separator'>...</li>";
		$pagelinks.="<li><a href='$thebaseurl/mysentmessages.php?sortby=$sortby&page=$toppage' title='last page'>$lang[614]</a></li>";
		}
	
		$pagelinks.="</ul>";

		}
	}
	else
	{
		$error = "$lang[630]";
		STemplate::assign('error',$error);
	}

}
else
{
	header("Location:$config[baseurl]/login.php");exit;
}

//TEMPLATES BEGIN
STemplate::assign('error',$error);
STemplate::assign('message',$message);
STemplate::assign('beginning',$beginning);
STemplate::assign('ending',$ending);
STemplate::assign('pagelinks',$pagelinks);
STemplate::assign('total',$total);
STemplate::assign('listvideos',$users);
STemplate::display('header.tpl');
STemplate::display('mysentmessages.tpl');
STemplate::display('footer.tpl');
//TEMPLATES END
?>